import paramiko

def create_ssh_tunnel():
    # Erstelle eine SSH-Verbindung zum SSH-Server
    local_port = 8888  # Der lokale Port, auf dem der Tunnel lauschen soll
    remote_host = "172.17.1.21"  # Hostname des Servers, auf den du zugreifen möchtest
    remote_port = 3306  # Port des Servers, den du zugreifen möchtest (hier ist es der SSH-Port)
    ssh_host = "172.17.1.21"  # SSH-Server, über den der Tunnel geleitet wird
    ssh_port = 22  # SSH-Port (Standard ist 22)
    ssh_username = "root"  # Dein SSH-Benutzername
    ssh_password = "adm.3dfx12"  # Dein SSH-Passwort
    ssh_client = paramiko.SSHClient()
    ssh_client.set_missing_host_key_policy(paramiko.AutoAddPolicy())
    ssh_client.connect(ssh_host, port=ssh_port, username=ssh_username, password=ssh_password)

    # Erstelle den SSH-Tunnel
    ssh_tunnel = ssh_client.get_transport().open_channel(
        "direct-tcpip",
        (remote_host, remote_port),
        ("localhost", local_port)
    )
    return ssh_tunnel

def close_ssh_tunnel():
    paramiko.SSHClient().close()
